descendants: Get term descendants

API: ac.uk:embl-ebi-ontology-lookup-service-ols-api
Endpoint: /ontologies/{ontologyId}/terms/{termId}/descendants
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 11936ms

Description

Returns all descendant terms (transitive subclasses) of the specified term

Parameters (5)

lang (string, query, optional, default: en)

Language code

ontologyId (string, path, required)

Ontology ID (e.g., 'go', 'efo', 'mondo')

page (integer, query, optional, default: 0)

Page number (0-indexed)

size (integer, query, optional, default: 20)

Page size

termId (string, path, required)

Term IRI (URL-encoded, typically double-encoded)

Examples (1)

Get descendants of independent continuant probe-gate
curl 'https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%253A%252F%252Fpurl.obolibrary.org%252Fobo%252FBFO_0000004/descendants'
import requests

resp = requests.get("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%253A%252F%252Fpurl.obolibrary.org%252Fobo%252FBFO_0000004/descendants")
data = resp.json()
import zingu_apis

api = zingu_apis.api("embl-ebi-ontology-lookup-service-ols")
result = api.fetch("ontologies/{ontologyId}/terms/{termId}/descendants")

for item in result:
    print(item)
const resp = await fetch("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%253A%252F%252Fpurl.obolibrary.org%252Fobo%252FBFO_0000004/descendants");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:36:19.649492 200 11936ms 2.0MB
2026-04-15 01:32:34.280569 200 12435ms 2.0MB
2026-04-14 02:56:13.751125 200 14599ms 2.0MB
2026-04-12 15:03:54.620415 200 12806ms 2.0MB
2026-04-10 00:59:17.536567 200 10637ms 2.0MB
2026-04-09 02:09:09.541027 200 11622ms 2.0MB
2026-04-08 07:50:47.166859 200 12440ms 2.0MB
2026-04-07 00:11:24.919991 200 11900ms 2.0MB
2026-04-06 04:02:03.489414 200 9776ms 2.0MB
2026-04-05 14:54:21.736861 200 12106ms 2.0MB